DescriptorProtos.EnumDescriptorProtoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.EnumDescriptorProtoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.EnumDescriptorProto, DescriptorProtos.EnumDescriptorProto.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.EnumDescriptorProtoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.EnumOptions` | `getOptions()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumValueDescriptorProto` | `getValue(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `int` | `getValueCount()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `java.util.List<DescriptorProtos.EnumValueDescriptorProto>` | `getValueList()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumValueDescriptorProtoOrBuilder` | `getValueOrBuilder(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `java.util.List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder>` | `getValueOrBuilderList()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.EnumOptions options = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`

    - #### getName

          java.lang.String getName()

      `optional string name = 1;`

    - #### getNameBytes

          ByteString getNameBytes()

      `optional string name = 1;`

    - #### getValueList

          java.util.List<DescriptorProtos.EnumValueDescriptorProto> getValueList()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValue

          DescriptorProtos.EnumValueDescriptorProto getValue(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueCount

          int getValueCount()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueOrBuilderList

          java.util.List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder> getValueOrBuilderList()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueOrBuilder

          DescriptorProtos.EnumValueDescriptorProtoOrBuilder getValueOrBuilder(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### hasOptions

          boolean hasOptions()

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### getOptions

          DescriptorProtos.EnumOptions getOptions()

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### getOptionsOrBuilder

          DescriptorProtos.EnumOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.EnumOptions options = 3;`